org.jboss.jca.validator

## Enum Key

- java.lang.Object
- - java.lang.Enum<Key>
  - - org.jboss.jca.validator.Key

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Key>

      public enum Key
      extends java.lang.Enum<Key>

  Key

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVATION_SPEC` Activation spec
    `ADMIN_OBJECT` Admin object
    `CONNECTION_FACTORY` Connection factory
    `MANAGED_CONNECTION` Managed connection
    `MANAGED_CONNECTION_FACTORY` Managed connection factory
    `RESOURCE_ADAPTER` Resource adapter

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Key` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Key[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESOURCE_ADAPTER

          public static final Key RESOURCE_ADAPTER

      Resource adapter

    - #### MANAGED_CONNECTION_FACTORY

          public static final Key MANAGED_CONNECTION_FACTORY

      Managed connection factory

    - #### ACTIVATION_SPEC

          public static final Key ACTIVATION_SPEC

      Activation spec

    - #### ADMIN_OBJECT

          public static final Key ADMIN_OBJECT

      Admin object

    - #### MANAGED_CONNECTION

          public static final Key MANAGED_CONNECTION

      Managed connection

    - #### CONNECTION_FACTORY

          public static final Key CONNECTION_FACTORY

      Connection factory

  - ### Method Detail

    - #### values

          public static Key[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Key c : Key.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Key valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)